// ---------------------------------------------------------------------------------------------------------------------
// Main Application initialization
// ---------------------------------------------------------------------------------------------------------------------

import * as path from 'path';
import { App } from '@skewedaspect/sage';

// ---------------------------------------------------------------------------------------------------------------------

const app = new App({
    name: 'Example Game',
    fullscreen : true,
    devTools: true,
    gameScript: path.resolve(__dirname, 'game')
});

// ---------------------------------------------------------------------------------------------------------------------

app
    .start()
    .then(() =>
    {
        console.info('Example game started.');
    });

// ---------------------------------------------------------------------------------------------------------------------
